Foreman - Feature #31080

Add Ul for managing Personal Access Tokens
10/15/2020 09:06 AM - Kamil Szubrycht

Status: Closed

Priority: Normal
Assignee: Kamil Szubrycht
Category: Web Interface

Target version:

Difficulty: Fixed in Releases: 2.4.0
Triaged: No Found in Releases:
Bugzilla link: 1888332 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/78086,

https://github.com/theforeman/foreman/p

ull/8310
Description
Related issues:
Related to Foreman - Feature #1301: Consider adding a per-user API key Closed
Related to Foreman - Bug #32373: Use Foreman URL in Personal Access Tokens New
Related to Foreman - Feature #32770: Revoking Personal Access token should as... Closed

Associated revisions

Revision ec35c4d8 - 12/08/2020 10:44 AM - Kamil Szubrycht
Fixes #31080 - Add Ul for managing Personal Access Tokens (#7806)

Revision 26b0f953 - 02/04/2021 10:38 AM - Amir Fefer
Refs #31080 - fix react-hooks/exhaustive-deps warning (#8310)

History

#1 - 10/15/2020 09:06 AM - Kamil Szubrycht
- Related to Feature #1301: Consider adding a per-user API key added

#2 - 10/15/2020 09:15 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7806 added

#3 - 10/15/2020 01:54 PM - Jonathon Turel
- Bugzilla link set to 1888332

#4 - 12/08/2020 10:44 AM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#5 - 12/08/2020 11:01 AM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|ec35c4d82e493574da0b55e0d52dd24dbc6b638f.

#6 - 02/03/2021 07:39 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8310 added

#7 - 04/21/2021 12:02 PM - Ewoud Kohl van Wijngaarden
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/ec35c4d82e493574da0b55e0d52dd24dbc6b638f

- Related to Bug #32373: Use Foreman URL in Personal Access Tokens added

#8 - 06/10/2021 01:43 PM - Ondfej Ezr

- Related to Feature #32770: Revoking Personal Access token should ask for confirmation added
